| 1 | 1 |
new file mode 100755 |
| ... | ... |
@@ -0,0 +1,39 @@ |
| 0 |
+#!/bin/bash |
|
| 1 |
+ |
|
| 2 |
+# Downloads dependencies into vendor/ directory |
|
| 3 |
+if [[ ! -d vendor ]]; then |
|
| 4 |
+ mkdir vendor |
|
| 5 |
+fi |
|
| 6 |
+vendor_dir=${PWD}/vendor
|
|
| 7 |
+ |
|
| 8 |
+git_clone () {
|
|
| 9 |
+ PKG=$1 |
|
| 10 |
+ REV=$2 |
|
| 11 |
+ ( |
|
| 12 |
+ set -e |
|
| 13 |
+ cd $vendor_dir |
|
| 14 |
+ if [[ ! -d src/$PKG ]]; then |
|
| 15 |
+ cd $vendor_dir && git clone http://$PKG src/$PKG |
|
| 16 |
+ fi |
|
| 17 |
+ cd src/$PKG && git checkout -f $REV |
|
| 18 |
+ ) |
|
| 19 |
+} |
|
| 20 |
+ |
|
| 21 |
+git_clone github.com/kr/pty 27435c699 |
|
| 22 |
+ |
|
| 23 |
+git_clone github.com/gorilla/context/ 708054d61e5 |
|
| 24 |
+ |
|
| 25 |
+git_clone github.com/gorilla/mux/ 9b36453141c |
|
| 26 |
+ |
|
| 27 |
+git_clone github.com/dotcloud/tar/ d06045a6d9 |
|
| 28 |
+ |
|
| 29 |
+# Docker requires code.google.com/p/go.net/websocket |
|
| 30 |
+PKG=code.google.com/p/go.net REV=84a4013f96e0 |
|
| 31 |
+( |
|
| 32 |
+ set -e |
|
| 33 |
+ cd $vendor_dir |
|
| 34 |
+ if [[ ! -d src/$PKG ]]; then |
|
| 35 |
+ hg clone https://$PKG src/$PKG |
|
| 36 |
+ fi |
|
| 37 |
+ cd src/$PKG && hg checkout -r $REV |
|
| 38 |
+) |
| 0 | 39 |
deleted file mode 100755 |
| ... | ... |
@@ -1,29 +0,0 @@ |
| 1 |
-#!/bin/bash |
|
| 2 |
- |
|
| 3 |
-# Downloads dependencies into vendor/ directory |
|
| 4 |
-if [[ ! -d vendor ]]; then |
|
| 5 |
- mkdir vendor |
|
| 6 |
-fi |
|
| 7 |
-vendor_dir=${PWD}/vendor
|
|
| 8 |
- |
|
| 9 |
-git_clone () {
|
|
| 10 |
- PKG=$1 |
|
| 11 |
- REV=$2 |
|
| 12 |
- if [[ ! -d src/$PKG ]]; then |
|
| 13 |
- cd $vendor_dir && git clone http://$PKG src/$PKG && cd src/$PKG && git checkout -f $REV |
|
| 14 |
- fi |
|
| 15 |
-} |
|
| 16 |
- |
|
| 17 |
-git_clone github.com/kr/pty 27435c699 |
|
| 18 |
- |
|
| 19 |
-git_clone github.com/gorilla/context/ 708054d61e5 |
|
| 20 |
- |
|
| 21 |
-git_clone github.com/gorilla/mux/ 9b36453141c |
|
| 22 |
- |
|
| 23 |
-git_clone github.com/dotcloud/tar/ d06045a6d9 |
|
| 24 |
- |
|
| 25 |
-# Docker requires code.google.com/p/go.net/websocket |
|
| 26 |
-PKG=code.google.com/p/go.net REV=84a4013f96e0 |
|
| 27 |
-if [[ ! -d src/$PKG ]]; then |
|
| 28 |
- cd $vendor_dir && hg clone https://$PKG src/$PKG && cd src/$PKG && hg checkout -r $REV |
|
| 29 |
-fi |